ChangeSet 1.1371.759.27, 2004/04/26 16:09:06-07:00, baldrick@free.fr

[PATCH] USB: be assertive in usbfs

Be assertive.


 drivers/usb/core/devio.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)


diff -Nru a/drivers/usb/core/devio.c b/drivers/usb/core/devio.c
--- a/drivers/usb/core/devio.c	Fri May 14 15:32:41 2004
+++ b/drivers/usb/core/devio.c	Fri May 14 15:32:41 2004
@@ -350,8 +350,8 @@
 	 * all pending I/O requests; 2.6 does that.
 	 */
 
-	if (ifnum < 8*sizeof(ps->ifclaimed))
-		clear_bit(ifnum, &ps->ifclaimed);
+	WARN_ON(ifnum >= 8*sizeof(ps->ifclaimed));
+	clear_bit(ifnum, &ps->ifclaimed);
 	usb_set_intfdata (intf, NULL);
 
 	/* force async requests to complete */
